package com.aware.plugin.beacons.view;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import com.aware.plugin.beacons.model.AbstractBeacon;

import static com.aware.plugin.beacons.Constants.BEACON_EXTRA;

public class BeaconScanBroadcastReceiverUI extends BroadcastReceiver {

    private BeaconListFragment parent;

    public BeaconScanBroadcastReceiverUI(BeaconListFragment parent){
        this.parent = parent;
    }

    @Override
    public void onReceive(Context context, Intent intent) {

        AbstractBeacon beacon = intent.getParcelableExtra(BEACON_EXTRA);

        if(beacon != null){

            if(parent.getLeScanResultsListAdapter().getBeacons().contains(beacon)){
                int pos = parent.getLeScanResultsListAdapter().getBeacons().indexOf(beacon);
                parent.getLeScanResultsListAdapter().getBeacons().remove(beacon);
                parent.getLeScanResultsListAdapter().getBeacons().add(pos, beacon);
            }else{
                parent.getLeScanResultsListAdapter().getBeacons().add(beacon);
            }

            parent.updateUI();
        }
    }
}
