package com.aware.plugin.beacons.semweb;

import android.content.Context;
import android.net.Uri;
import android.preference.PreferenceManager;

import java.io.*;
import java.net.URL;

import static com.aware.plugin.beacons.Constants.FUSEKI_URL;

public class FusekiAPICall {

    public static String executeSPARQLQuery(Context context,String sparqlQuery) throws IOException {

        String retString = "";

        InputStream in = new BufferedInputStream(
                (new URL(
                        Uri.parse(PreferenceManager.getDefaultSharedPreferences(context)
                                        .getString(FUSEKI_URL, "http://192.168.1.5:3030"))
                                .buildUpon()
                                .path("ds/query")
                                .appendQueryParameter("query", sparqlQuery)
                                .appendQueryParameter("output", "json")
                                .appendQueryParameter("stylesheet", "")
                                .build()
                                .toString())
                        .openConnection()
                ).getInputStream()
        );

        BufferedReader reader = new BufferedReader(new InputStreamReader(in));
        String line;
        while((line = reader.readLine()) != null){
            retString = retString.concat(line).concat("\n");
        }
        in.close();

        return retString;
    }
}