package com.aware.plugin.beacons.view;

import android.os.Bundle;
import android.preference.Preference;
import android.preference.PreferenceFragment;
import com.aware.plugin.beacons.R;

public class BeaconsPreferenceFragment extends PreferenceFragment {
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        addPreferencesFromResource(R.xml.settings);

        final EditTextPreference fusekiUrl = (EditTextPreference)findPreference("fuseki_url");
        fusekiUrl.setOnPreferenceChangeListener(new Preference.OnPreferenceChangeListener() {
            public boolean onPreferenceChange(Preference preference, Object newValue) {
                fusekiUrl.setSummary(newValue.toString());
                return true;
            }
        });
    }
}
